local arcade_config = require("arcade_config")
o2aX = arcade_config.org2arc_escala
cxr = arcade_config.character_per_row-1
cxr2 = arcade_config.character_per_row_base2
cw = arcade_config.character_width
ch = arcade_config.character_height
toff = arcade_config.tiles_offset
tw = arcade_config.tiles_width
th = arcade_config.tiles_height
-- posició en el gif
C_gif_col = 10
C_gif_row = 3
A_gif_col = 11
A_gif_row = 3
U_gif_col = 12
U_gif_row = 3
S_gif_col = 15
S_gif_row = 4
X_gif_col = 11
X_gif_row = 7
DOS_gif_col = 12
DOS_gif_row = 7

function draw_logo (x, y)

	local ox, oy = view.origin()
	local curr_surf_tgt = surf.target()
	local curr_surf_src = surf.source()
	local sw = arcade_config.org_resolucion.width
	local sh = arcade_config.org_resolucion.height
	local dw = arcade_config.resolucion.width
	local dh = arcade_config.resolucion.height
	surf.target(x2logo)
	view.origin(0,0)
	surf.cls(0)
	
	local C_x = C_gif_col*tw
	local C_y = C_gif_row*th+toff
	local A_x = A_gif_col*tw
	local A_y = A_gif_row*th+toff
	local U_x = U_gif_col*tw
	local U_y = U_gif_row*th+toff
	local S_x = S_gif_col*tw
	local S_y = S_gif_row*th+toff
	local X_x = X_gif_col*tw
	local X_y = X_gif_row*th+toff
	local DOS_x = DOS_gif_col*tw
	local DOS_y = DOS_gif_row*th+toff
	
	draw.surf(X_x,X_y,tw,th,0,0,tw,th)
	draw.surf(DOS_x,DOS_y,tw,th,10,0,tw,th)
	draw.surf(C_x,C_y,tw,th,24,0,tw,th)	
	draw.surf(A_x,A_y,tw,th,24+tw*1-4,0,tw,th)
	draw.surf(C_x,C_y,tw,th,24+tw*2-7,0,tw,th)
	draw.surf(A_x,A_y,tw,th,24+tw*3-11,0,tw,th)
	draw.surf(U_x,U_y,tw,th,24+tw*4-14,0,tw,th)
	draw.surf(S_x,S_y,tw,th,24+tw*5-15,0,tw,th)
	

    surf.source(x2logo)
	surf.target(curr_surf_tgt)
	view.origin(ox,oy)
    draw.surf(0,0,sw,sh,x,y,dw,dh)
    surf.source(curr_surf_src)
	
end